{% extends "allauth/account/base.html" %}
{% load i18n staticfiles %}
{% block head_title %}{% trans "Pendaftaran Profil" %} :: {{ block.super }}{% endblock %}

{% block content %}
  <div uk-grid>
    <div class="uk-width-1-1">
      <div class="uk-margin uk-text-center uk-flex uk-flex-center uk-flex-middle">
        <div class="uk-margin-auto uk-width-1-2@s uk-card uk-card-body">
          <form class="uk-form-horizontal" method="post" action="{% url 'app_user:user_profile_register' %}">{% csrf_token %}
            <div class="uk-flex uk-flex-center uk-flex-middle">
              <a href="/" class="spf-link">
                <canvas width="100" uk-svg="" src="{% static 'images/logos/svg/logo-150x150.svg' %}" style="color: #1e87f0" hidden="true"></canvas>
              </a>
            </div>

            <div class="uk">{% blocktrans %}Mohon isikan data berikut untuk melengkapi pendaftaran.<br/>Data ini diperlukan setiap anda akan membuat Proposal atau Berinvestasi.{% endblocktrans %}</div>

            {% if form.non_field_errors %}
              {% if form.non_field_errors|length > 1 %}
                <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                  {% for error in form.non_field_errors %}
                    <li class="uk-text-warning">{{ error }}</li>
                  {% endfor %}
                </ol>
              {% else %}
                <div class="uk-text-small uk-text-warning">
                  {{ form.non_field_errors|first }}
                </div>
              {% endif %}
            {% endif %}

            <div class="uk-margin">
              <label class="uk-flex uk-flex-right uk-form-label" for="form-full_name">{{ form.full_name.label }} *</label>
              <div class="uk-form-controls">
                <input id="form-full_name" class="uk-width-1-1 uk-input" name="full_name" type="text" placeholder="Abul Qasim" required>
                {% if form.full_name.errors %}
                  {% if form.full_name.errors|length > 1 %}
                    <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                      {% for error in form.full_name.errors %}
                        <li class="uk-text-warning">{{ error }}</li>
                      {% endfor %}
                    </ol>
                  {% else %}
                    <div class="uk-text-small uk-text-left uk-text-warning">
                      {{ form.full_name.errors|first }}
                    </div>
                  {% endif %}
                {% endif %}
              </div>
            </div>
            <div class="uk-margin">
              <label class="uk-flex uk-flex-right uk-form-label" for="form-full_name">{{ form.mother_name.label }} *</label>
              <div class="uk-form-controls">
                <input id="form-mother_name" class="uk-width-1-1 uk-input" name="mother_name" type="text" placeholder="Ummu Khadijah" required>
                {% if form.mother_name.errors %}
                  {% if form.mother_name.errors|length > 1 %}
                    <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                      {% for error in form.mother_name.errors %}
                        <li class="uk-text-warning">{{ error }}</li>
                      {% endfor %}
                    </ol>
                  {% else %}
                    <div class="uk-text-small uk-text-left uk-text-warning">
                      {{ form.mother_name.errors|first }}
                    </div>
                  {% endif %}
                {% endif %}
              </div>
            </div>
            <div class="uk-margin">
              <label class="uk-flex uk-flex-right uk-form-label" for="form-ktp_number">{{ form.ktp_number.label }} *</label>
              <div class="uk-form-controls">
                <input id="form-ktp_number" class="uk-width-1-1 uk-input" name="ktp_number" type="number" placeholder="160317100692xxxx" required>
                {% if form.ktp_number.errors %}
                  {% if form.ktp_number.errors|length > 1 %}
                    <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                      {% for error in form.ktp_number.errors %}
                        <li class="uk-text-warning">{{ error }}</li>
                      {% endfor %}
                    </ol>
                  {% else %}
                    <div class="uk-text-small uk-text-left uk-text-warning">
                      {{ form.ktp_number.errors|first }}
                    </div>
                  {% endif %}
                {% endif %}
              </div>
            </div>
            <div class="uk-margin">
              <label class="uk-flex uk-flex-right uk-form-label" for="form-npwp_number">{{ form.npwp_number.label }} *</label>
              <div class="uk-form-controls">
                <input id="form-npwp_number" class="uk-width-1-1 uk-input" name="npwp_number" type="text" placeholder="31.364.002.4-490.xxx" required>
                {% if form.npwp_number.errors %}
                  {% if form.npwp_number.errors|length > 1 %}
                    <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                      {% for error in form.npwp_number.errors %}
                        <li class="uk-text-warning">{{ error }}</li>
                      {% endfor %}
                    </ol>
                  {% else %}
                    <div class="uk-text-small uk-text-left uk-text-warning">
                      {{ form.npwp_number.errors|first }}
                    </div>
                  {% endif %}
                {% endif %}
              </div>
            </div>
            <div class="uk-margin">
              <label class="uk-flex uk-flex-right uk-form-label" for="form-phone_number">{{ form.phone_number.label }} *</label>
              <div class="uk-form-controls">
                <input class="uk-width-1-1 uk-input" name="phone_number" type="text" placeholder="0821-3701-xxxx" required>
                {% if form.phone_number.errors %}
                  {% if form.phone_number.errors|length > 1 %}
                    <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                      {% for error in form.phone_number.errors %}
                        <li class="uk-text-warning">{{ error }}</li>
                      {% endfor %}
                    </ol>
                  {% else %}
                    <div class="uk-text-small uk-text-left uk-text-warning">
                      {{ form.phone_number.errors|first }}
                    </div>
                  {% endif %}
                {% endif %}
              </div>
            </div>

            {% if request.GET.next %}
              <input type="hidden" name="next" value="{{ request.GET.next }}" />
            {% endif %}

            <div class="uk-margin">
              <div class="uk-form-controls">
                <button type="submit" class="uk-flex uk-flex-left uk-button uk-button-primary">{% trans "Simpan Profil" %}</button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
{% endblock %}
